# Asterisk Project : Asterisk 13 Function_STRREPLACE

Created by wikibot on Aug 08, 2014

# STRREPLACE()

### Synopsis

Replace instances of a substring within a string with another string.

### Description

Searches for all instances of the find-string in provided variable and replaces them with replace-string. If replace-string is an empty string, this will effecively delete that substring. If max-replacements is specified, this function will stop after performing replacements max-replacements times.

Note

Icon

The replacement only occurs in the output. The original variable is not altered.

### Syntax

    STRREPLACE(varname,find-string[,replace-string[,max-replacements]])

##### Arguments

- `varname`
- `find-string`
- `replace-string`
- `max-replacements`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538